This patch fixes the remaining stack protector problem on v2. The DISTRO_CFLAGS were not being
included on the CC line for cache_as_ram_auto.c

Tested on ubuntu, where formerly it failed. 

Signed-off-by: Ronald G. Minnich <rminnich@gmail.com>
Index: src/mainboard/iwill/dk8_htx/Config.lb
===================================================================
--- src/mainboard/iwill/dk8_htx/Config.lb	(revision 3077)
+++ src/mainboard/iwill/dk8_htx/Config.lb	(working copy)
@@ -135,14 +135,14 @@
 		# compile cache_as_ram.c to auto.o
 		makerule ./cache_as_ram_auto.o
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@" 
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@" 
 		end
 
 	else   
 		#compile cache_as_ram.c to auto.inc 
 		makerule ./cache_as_ram_auto.inc
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
 		        action "perl -e 's/.rodata/.rom.data/g' -pi $@"
 		        action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 		end
Index: src/mainboard/iwill/dk8s2/Config.lb
===================================================================
--- src/mainboard/iwill/dk8s2/Config.lb	(revision 3077)
+++ src/mainboard/iwill/dk8s2/Config.lb	(working copy)
@@ -56,14 +56,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
 end
 
 else    
                 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
         action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/iwill/dk8x/Config.lb
===================================================================
--- src/mainboard/iwill/dk8x/Config.lb	(revision 3077)
+++ src/mainboard/iwill/dk8x/Config.lb	(working copy)
@@ -53,14 +53,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
 end
 
 else    
                 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
         action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/broadcom/blast/Config.lb
===================================================================
--- src/mainboard/broadcom/blast/Config.lb	(revision 3077)
+++ src/mainboard/broadcom/blast/Config.lb	(working copy)
@@ -56,14 +56,14 @@
 
 		makerule ./cache_as_ram_auto.o
 			depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-			action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@" 
+			action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@" 
 		end
 
 	else    
                 
 		makerule ./cache_as_ram_auto.inc
 			depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-			action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+			action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
 			action "perl -e 's/.rodata/.rom.data/g' -pi $@"
 			action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 		end
Index: src/mainboard/supermicro/h8dmr/Config.lb
===================================================================
--- src/mainboard/supermicro/h8dmr/Config.lb	(revision 3077)
+++ src/mainboard/supermicro/h8dmr/Config.lb	(working copy)
@@ -85,12 +85,12 @@
 	if CONFIG_USE_INIT	
 		makerule ./auto.o
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        		action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
+        		action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
 		end
 	else
 		makerule ./auto.inc
         		depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 		        action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         		action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 		end
Index: src/mainboard/gigabyte/m57sli/Config.lb
===================================================================
--- src/mainboard/gigabyte/m57sli/Config.lb	(revision 3077)
+++ src/mainboard/gigabyte/m57sli/Config.lb	(working copy)
@@ -85,12 +85,12 @@
 	if CONFIG_USE_INIT	
 		makerule ./cache_as_ram_auto.o
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        		action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
+        		action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
 		end
 	else
 		makerule ./cache_as_ram_auto.inc
         		depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 		        action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         		action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 		end
Index: src/mainboard/gigabyte/ga_2761gxdk/Config.lb
===================================================================
--- src/mainboard/gigabyte/ga_2761gxdk/Config.lb	(revision 3077)
+++ src/mainboard/gigabyte/ga_2761gxdk/Config.lb	(working copy)
@@ -87,12 +87,12 @@
 	if CONFIG_USE_INIT
 		makerule ./cache_as_ram_auto.o
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        		action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
+        		action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
 		end
 	else
 		makerule ./cache_as_ram_auto.inc
         		depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(CPU_OPT) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(CPU_OPT) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 		        action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         		action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 		end
Index: src/mainboard/digitallogic/msm800sev/Config.lb
===================================================================
--- src/mainboard/digitallogic/msm800sev/Config.lb	(revision 3077)
+++ src/mainboard/digitallogic/msm800sev/Config.lb	(working copy)
@@ -52,7 +52,7 @@
 	#compile cache_as_ram.c to auto.inc
 	makerule ./cache_as_ram_auto.inc
 			depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-			action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+			action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 			action "perl -e 's/.rodata/.rom.data/g' -pi $@"
 			action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 	end
Index: src/mainboard/amd/serengeti_cheetah/Config.lb
===================================================================
--- src/mainboard/amd/serengeti_cheetah/Config.lb	(revision 3077)
+++ src/mainboard/amd/serengeti_cheetah/Config.lb	(working copy)
@@ -128,14 +128,14 @@
 		# compile cache_as_ram.c to auto.o
 		makerule ./cache_as_ram_auto.o
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@" 
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@" 
 		end
 
 	else   
 		#compile cache_as_ram.c to auto.inc 
 		makerule ./cache_as_ram_auto.inc
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
 		        action "perl -e 's/.rodata/.rom.data/g' -pi $@"
 		        action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 		end
Index: src/mainboard/amd/norwich/Config.lb
===================================================================
--- src/mainboard/amd/norwich/Config.lb	(revision 3077)
+++ src/mainboard/amd/norwich/Config.lb	(working copy)
@@ -56,7 +56,7 @@
 	#compile cache_as_ram.c to auto.inc
 	makerule ./cache_as_ram_auto.inc
 			depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-			action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+			action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 			action "perl -e 's/.rodata/.rom.data/g' -pi $@"
 			action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 	end
Index: src/mainboard/amd/db800/Config.lb
===================================================================
--- src/mainboard/amd/db800/Config.lb	(revision 3077)
+++ src/mainboard/amd/db800/Config.lb	(working copy)
@@ -54,7 +54,7 @@
 	#compile cache_as_ram.c to auto.inc
 	makerule ./cache_as_ram_auto.inc
 			depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-			action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+			action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 			action "perl -e 's/.rodata/.rom.data/g' -pi $@"
 			action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 	end
Index: src/mainboard/pcengines/alix1c/Config.lb
===================================================================
--- src/mainboard/pcengines/alix1c/Config.lb	(revision 3077)
+++ src/mainboard/pcengines/alix1c/Config.lb	(working copy)
@@ -72,7 +72,7 @@
 	#compile cache_as_ram.c to auto.inc
 	makerule ./cache_as_ram_auto.inc
 			depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-			action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+			action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 			action "perl -e 's/.rodata/.rom.data/g' -pi $@"
 			action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 	end
Index: src/mainboard/artecgroup/dbe61/Config.lb
===================================================================
--- src/mainboard/artecgroup/dbe61/Config.lb	(revision 3077)
+++ src/mainboard/artecgroup/dbe61/Config.lb	(working copy)
@@ -52,7 +52,7 @@
 	#compile cache_as_ram.c to auto.inc
 	makerule ./cache_as_ram_auto.inc
 			depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-			action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+			action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 			action "perl -e 's/.rodata/.rom.data/g' -pi $@"
 			action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 	end
Index: src/mainboard/tyan/s2912/Config.lb
===================================================================
--- src/mainboard/tyan/s2912/Config.lb	(revision 3077)
+++ src/mainboard/tyan/s2912/Config.lb	(working copy)
@@ -86,12 +86,12 @@
 	if CONFIG_USE_INIT	
 		makerule ./cache_as_ram_auto.o
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        		action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
+        		action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
 		end
 	else
 		makerule ./cache_as_ram_auto.inc
         		depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 		        action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         		action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 		end
Index: src/mainboard/tyan/s2850/Config.lb
===================================================================
--- src/mainboard/tyan/s2850/Config.lb	(revision 3077)
+++ src/mainboard/tyan/s2850/Config.lb	(working copy)
@@ -51,14 +51,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
 end
 
 else    
                 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
         action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/tyan/s2735/Config.lb
===================================================================
--- src/mainboard/tyan/s2735/Config.lb	(revision 3077)
+++ src/mainboard/tyan/s2735/Config.lb	(working copy)
@@ -50,14 +50,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
 end
 
 else
 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
         action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/tyan/s2880/Config.lb
===================================================================
--- src/mainboard/tyan/s2880/Config.lb	(revision 3077)
+++ src/mainboard/tyan/s2880/Config.lb	(working copy)
@@ -51,14 +51,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
 end
 
 else    
                 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
         action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/tyan/s2881/Config.lb
===================================================================
--- src/mainboard/tyan/s2881/Config.lb	(revision 3077)
+++ src/mainboard/tyan/s2881/Config.lb	(working copy)
@@ -50,14 +50,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
 end
 
 else    
                 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
         action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/tyan/s2882/Config.lb
===================================================================
--- src/mainboard/tyan/s2882/Config.lb	(revision 3077)
+++ src/mainboard/tyan/s2882/Config.lb	(working copy)
@@ -51,14 +51,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
 end
 
 else    
                 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
         action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/tyan/s2891/Config.lb
===================================================================
--- src/mainboard/tyan/s2891/Config.lb	(revision 3077)
+++ src/mainboard/tyan/s2891/Config.lb	(working copy)
@@ -57,14 +57,14 @@
 
 		makerule ./auto.o
         		depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
 		end
 
 	else
 
 		makerule ./auto.inc
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 			action "perl -e 's/.rodata/.rom.data/g' -pi $@"
 			action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 		end
Index: src/mainboard/tyan/s4880/Config.lb
===================================================================
--- src/mainboard/tyan/s4880/Config.lb	(revision 3077)
+++ src/mainboard/tyan/s4880/Config.lb	(working copy)
@@ -49,14 +49,14 @@
 
 		makerule ./auto.o
         		depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-	        	action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
+	        	action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
 		end
 
 	else
 
 		makerule ./auto.inc
         		depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
         		action "perl -e 's/.rodata/.rom.data/g' -pi $@"
 		        action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 			end
Index: src/mainboard/tyan/s2892/Config.lb
===================================================================
--- src/mainboard/tyan/s2892/Config.lb	(revision 3077)
+++ src/mainboard/tyan/s2892/Config.lb	(working copy)
@@ -57,14 +57,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
 end
 
 else
 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 	action "perl -e 's/.rodata/.rom.data/g' -pi $@"
 	action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/tyan/s2875/Config.lb
===================================================================
--- src/mainboard/tyan/s2875/Config.lb	(revision 3077)
+++ src/mainboard/tyan/s2875/Config.lb	(working copy)
@@ -51,14 +51,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
 end
 
 else    
                 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
         action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/tyan/s4882/Config.lb
===================================================================
--- src/mainboard/tyan/s4882/Config.lb	(revision 3077)
+++ src/mainboard/tyan/s4882/Config.lb	(working copy)
@@ -49,14 +49,14 @@
 
 		makerule ./auto.o
         		depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-	        	action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
+	        	action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
 		end
 
 	else
 
 		makerule ./auto.inc
         		depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
         		action "perl -e 's/.rodata/.rom.data/g' -pi $@"
 		        action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 			end
Index: src/mainboard/tyan/s2885/Config.lb
===================================================================
--- src/mainboard/tyan/s2885/Config.lb	(revision 3077)
+++ src/mainboard/tyan/s2885/Config.lb	(working copy)
@@ -51,14 +51,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
 end
 
 else    
                 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
         action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/tyan/s2895/Config.lb
===================================================================
--- src/mainboard/tyan/s2895/Config.lb	(revision 3077)
+++ src/mainboard/tyan/s2895/Config.lb	(working copy)
@@ -64,12 +64,12 @@
 	if CONFIG_USE_INIT	
 		makerule ./auto.o
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        		action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
+        		action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
 		end
 	else
 		makerule ./auto.inc
         		depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 		        action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         		action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 		end
Index: src/mainboard/msi/ms9282/Config.lb
===================================================================
--- src/mainboard/msi/ms9282/Config.lb	(revision 3077)
+++ src/mainboard/msi/ms9282/Config.lb	(working copy)
@@ -81,14 +81,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
 end
 
 else
 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
        action "perl -e 's/.rodata/.rom.data/g' -pi $@"
        action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/msi/ms9185/Config.lb
===================================================================
--- src/mainboard/msi/ms9185/Config.lb	(revision 3077)
+++ src/mainboard/msi/ms9185/Config.lb	(working copy)
@@ -83,14 +83,14 @@
                # compile cache_as_ram.c to auto.o
                makerule ./cache_as_ram_auto.o
                        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-                       action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
+                       action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
                end
 
        else
                #compile cache_as_ram.c to auto.inc
                makerule ./cache_as_ram_auto.inc
                        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-                       action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+                       action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
                        action "perl -e 's/.rodata/.rom.data/g' -pi $@"
                        action "perl -e 's/.text/.section .rom.text/g' -pi $@"
                end
Index: src/mainboard/msi/ms7260/Config.lb
===================================================================
--- src/mainboard/msi/ms7260/Config.lb	(revision 3077)
+++ src/mainboard/msi/ms7260/Config.lb	(working copy)
@@ -58,12 +58,12 @@
   if CONFIG_USE_INIT
     makerule ./cache_as_ram_auto.o
       depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-      action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
+      action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
     end
   else
     makerule ./cache_as_ram_auto.inc
       depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-      action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+      action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
       action "perl -e 's/.rodata/.rom.data/g' -pi $@"
       action "perl -e 's/.text/.section .rom.text/g' -pi $@"
     end
Index: src/mainboard/arima/hdama/Config.lb
===================================================================
--- src/mainboard/arima/hdama/Config.lb	(revision 3077)
+++ src/mainboard/arima/hdama/Config.lb	(working copy)
@@ -52,14 +52,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
 end
 
 else    
                 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
         action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/sunw/ultra40/Config.lb
===================================================================
--- src/mainboard/sunw/ultra40/Config.lb	(revision 3077)
+++ src/mainboard/sunw/ultra40/Config.lb	(working copy)
@@ -52,12 +52,12 @@
 	if CONFIG_USE_INIT	
 		makerule ./auto.o
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        		action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
+        		action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o"
 		end
 	else
 		makerule ./auto.inc
         		depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 		        action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         		action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 		end
Index: src/mainboard/newisys/khepri/Config.lb
===================================================================
--- src/mainboard/newisys/khepri/Config.lb	(revision 3077)
+++ src/mainboard/newisys/khepri/Config.lb	(working copy)
@@ -53,14 +53,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
 end
 
 else    
                 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
         action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/ibm/e326/Config.lb
===================================================================
--- src/mainboard/ibm/e326/Config.lb	(revision 3077)
+++ src/mainboard/ibm/e326/Config.lb	(working copy)
@@ -53,14 +53,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
 end
 
 else    
                 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
         action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/ibm/e325/Config.lb
===================================================================
--- src/mainboard/ibm/e325/Config.lb	(revision 3077)
+++ src/mainboard/ibm/e325/Config.lb	(working copy)
@@ -53,14 +53,14 @@
 
 makerule ./auto.o
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o auto.o" 
 end
 
 else    
                 
 makerule ./auto.inc
         depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
         action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 end
Index: src/mainboard/nvidia/l1_2pvv/Config.lb
===================================================================
--- src/mainboard/nvidia/l1_2pvv/Config.lb	(revision 3077)
+++ src/mainboard/nvidia/l1_2pvv/Config.lb	(working copy)
@@ -116,12 +116,12 @@
 	if CONFIG_USE_INIT	
 		makerule ./cache_as_ram_auto.o
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        		action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
+        		action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
 		end
 	else
 		makerule ./cache_as_ram_auto.inc
         		depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 		        action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         		action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 		end
Index: src/mainboard/asus/a8v-e_se/Config.lb
===================================================================
--- src/mainboard/asus/a8v-e_se/Config.lb	(revision 3077)
+++ src/mainboard/asus/a8v-e_se/Config.lb	(working copy)
@@ -83,12 +83,12 @@
 	if CONFIG_USE_INIT	
 		makerule ./cache_as_ram_auto.o
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-        		action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
+        		action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
 		end
 	else
 		makerule ./cache_as_ram_auto.inc
         		depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 		        action "perl -e 's/.rodata/.rom.data/g' -pi $@"
         		action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 		end
Index: src/mainboard/asus/a8n_e/Config.lb
===================================================================
--- src/mainboard/asus/a8n_e/Config.lb	(revision 3077)
+++ src/mainboard/asus/a8n_e/Config.lb	(working copy)
@@ -93,12 +93,12 @@
 	if CONFIG_USE_INIT
 		makerule ./auto.o
 			depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-			action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
+			action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o $@"
 		end
 	else
 		makerule ./auto.inc
 			depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-			action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
+			action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"
 			action "perl -e 's/.rodata/.rom.data/g' -pi $@"
 			action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 		end
Index: src/mainboard/agami/aruma/Config.lb
===================================================================
--- src/mainboard/agami/aruma/Config.lb	(revision 3077)
+++ src/mainboard/agami/aruma/Config.lb	(working copy)
@@ -106,14 +106,14 @@
 		# compile cache_as_ram.c to auto.o
 		makerule ./cache_as_ram_auto.o
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o cache_as_ram_auto.o" 
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -o cache_as_ram_auto.o" 
 		end
 
 	else   
 		#compile cache_as_ram.c to auto.inc 
 		makerule ./cache_as_ram_auto.inc
 		        depends "$(MAINBOARD)/cache_as_ram_auto.c option_table.h"
-		        action "$(CC) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
+		        action "$(CC) $(DISTRO_CFLAGS) -I$(TOP)/src -I. $(CPPFLAGS) $(MAINBOARD)/cache_as_ram_auto.c -Os -nostdinc -nostdlib -fno-builtin -Wall -c -S -o $@"         
 		        action "perl -e 's/.rodata/.rom.data/g' -pi $@"
 		        action "perl -e 's/.text/.section .rom.text/g' -pi $@"
 		end
